Unresolved constraint in bundle s3.extension when upgrading

Description

Opening this ticket per request from Micha. See https://groups.google.com/forum/?fromgroups=#!topic/lucee/LV6Yk8mnkaM.

My server admin indicated that the S3 and MSSQL extensions needed to be updated. The MSSQL extension updated fine but when I tried to update the S3 extension, an error was thrown.

Lucee 5.0.0.252 Error (4)
Message
Unresolved constraint in bundle s3.extension [86]: Unable to resolve 86.0: missing requirement [86.0] osgi.wiring.bundle; (&(osgi.wiring.bundle=org.lucee.httpcomponents.httpcore)(bundle-version>=4.4.4))

Cause
org.osgi.framework.BundleException

Stacktrace
The Error Occurred in
/Users/mic/Projects/Lucee/Lucee5/core/src/main/cfml/context/admin/ext.applications.cfm: line 101
called from /Users/mic/Projects/Lucee/Lucee5/core/src/main/cfml/context/admin/web.cfm: line 389
called from /Users/mic/Projects/Lucee/Lucee5/core/src/main/cfml/context/admin/server.cfm: line 2
Java Stacktrace lucee.runtime.exp.NativeException: Unresolved constraint in bundle s3.extension [86]: Unable to resolve 86.0: missing requirement [86.0] osgi.wiring.bundle; (&(osgi.wiring.bundle=org.lucee.httpcomponents.httpcore)(bundle-version>=4.4.4))

Environment

OS Linux (4.5.5-x86_64-linode69) 64bit
Servlet Container Apache Tomcat/8.0.32 (Ubuntu)
Java 1.8.0_91 (Oracle Corporation) 64bit
Architecture 64bit

Activity

Show:
Michael Offner
July 18, 2016, 12:21 PM

problem is fixed, problem was that extension was not able to download required bundle.

Fixed

Assignee

Michael Offner

Reporter

Juan Aguilar

Priority

New

Labels

Fix versions

None

Affects versions

Configure